import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Guardian extends Actor
{
    private int timer = 250;
    private int speed = 8;
    
    public Guardian() {
        // this.getImage().scale(this.getImage().getWidth()/3, this.getImage().getHeight()/3);
    }

    public void act() 
    {
        this.timer = timer - 1;
        if(this.timer == 0) {
            this.move(this.speed);
            GreenfootSound g = new GreenfootSound("guardian-move.wav");
            g.setVolume(85);
            g.play();
            this.timer = 250;
        }

    }    
}